Subject: Re: [bug#37654] [PATCH] gnu-build-system: Don't try executing directories in bootstrap phase.

From: Marius Bakke <[email-masked]>
Date: Thu, 30 Jan 2020 13:41:50 +0100

Hello Brendan, sorry for the sloooow response.

Brendan Tildesley <[email-masked]> writes:

> I just made this after discovering a source repo with a bootstrap
> directory. Naturally it results in just about everything being rebuilt,
> so it would a long time to fully test it, and I'm no experienced schemer
> so I can't be sure this is the right way to add in this change. Feel
> free to rewrite it a better way.

Were you able to verify that it DTRT?

> From 3a602cccbd8711f40f6b981e5616289a5fdd0b56 Mon Sep 17 00:00:00 2001
> From: Brendan Tildesley <[email-masked]>
> Date: Tue, 8 Oct 2019 02:55:03 +1100
> Subject: [PATCH] gnu-build-system: Don't try executing directories in
>  bootstrap phase.
>
> * guix/build/gnu-build-system.scm: (bootstrap): Change the file-exists?
> procedure to one that excludes directories, so that we do not mistake it for a
> script. For example if the source includes a bootstrap/ directory.

The patch LGTM.

Will push it in a few days unless anyone protests!